# LiveDetector class abstract

Implementers
  - BarcodeCameraLiveDetector
  - DocumentCameraLiveDetector
  - MedicalCertificateCameraLiveDetector

## Constructors

LiveDetector()

## Properties

arguments ↔ Map<String, dynamic>
  read / write
detectorChannel ↔ MethodChannel
  read / write
detectorType → DetectorType
  read-only
enabled ↔ bool
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

attach(ScanbotCameraController controller) → dynamic
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
pauseDetection() → dynamic
registerResultHandler() → void
resumeDetection() → dynamic
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Properties

channelName ↔ String
  read / write